var menuApp = angular.module('menuApp', ['ionic','authenticationSvc','ngCordova','menuController','Sounds','notifiesCtrl','LoginService','checkImageDirective','chatApp']);
menuApp.run(function ($ionicPlatform,$state,$cordovaLocalNotification,$rootScope) {
    $ionicPlatform.ready(function () {
        var devicePlatform = "";
        try {
            devicePlatform = device.platform;
        } catch (err) {
            console.log(err)
        }
        if (devicePlatform != "iPhone" && devicePlatform != "iOS") {
            // $scope.deviceLoading = "ios";
            isiOs = false;
        }
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            // cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
            // cordova.plugins.Keyboard.disableScroll(true);
        }
       
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            //StatusBar.styleDefault();
            StatusBar.show();
            StatusBar.backgroundColorByHexString("#327EBB");
            StatusBar.styleLightContent();
            //StatusBar.hide();
            StatusBar.overlaysWebView(false);
        }
    });

menuApp.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider

        /*/////////////////////// USERS ///////////////////////////*/

      .state('dashboard', {
          url: '/board',
          templateUrl: 'templates/dashboard/general/menu.html',
          controller: 'menuCtrl'
      })

    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/board');
});
